Subject: Re: [PATCH v9 2/5] i2c: mux: add support for per channel bus frequency

From: Marcus Folkesson <[email-masked]>
Date: Thu, 26 Mar 2026 12:39:23 +0100

On Tue, Mar 24, 2026 at 04:10:42PM +0200, Andy Shevchenko wrote:

[...]
> 
> ...
> 
> > +		of_property_read_u32(child, "clock-frequency", &priv->adap.clock_hz);
> 
> Wondering if we may use existing API to get i2c timings from fw description?
> i2c_parse_fw_timings() (it might be that it needs to be split for pure fwnode
> one and device wrapped).

I like the idea, even if I don't see that many other parts of the
kernel will be using it.

After this patchset, I intend to make all other bus drivers use
i2c_parse_fw_timings() for fetching their clock frequency. I will
investigate the splitup in the scope of that series.

> -- 
> With Best Regards,
> Andy Shevchenko

Best regards,
Marcus Folkesson